#version 330 core
out vec4 color;
  
in vec2 uv;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform float exposure;

void main()
{             
    vec3 hdrColor = texture(scene, uv).rgb;   
    vec3 bloomColor = texture(bloomBlur, uv).rgb;
    hdrColor += bloomColor; // additive blending
    color = vec4(hdrColor, 1.0);
}  